Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document
Class RtfDocumentHeader

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfDocumentHeader

All Implemented Interfaces:
  RtfBasicElement

    public class RtfDocumentHeader

extends RtfElement

The RtfDocumentHeader contains all classes required for the generation of the document header area.

Version:
  $Id: RtfDocumentHeader.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private RtfCodePage` | `codePage` The code page to use
`private RtfColorList` | `colorList` Stores all the colors used in the document
`private static byte[]` | `FACING_PAGES` Constant for facing pages
`private RtfFontList` | `fontList` Stores all the fonts used in the document
`private HeaderFooter` | `footer` The current RtfHeaderFooterGroup for the footer
`private HeaderFooter` | `header` The current RtfHeaderFooterGroup for the header
`private RtfInfoGroup` | `infoGroup` The information group with author/subject/keywords/title/producer/creationdate data
`private RtfListTable` | `listTable` Manages List tables
`private RtfPageSetting` | `pageSetting` The page settings
`private RtfStylesheetList` | `stylesheetList` Stores all paragraph styles used in the document.
`private static byte[]` | `TITLE_PAGE` Constant for the title page

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`protected` | `RtfDocumentHeader(RtfDocument doc)` Constructs a RtfDocumentHeader for a RtfDocument

Method Summary
`void` | `addInfoElement(RtfInfoElement rtfInfoElement)` Adds an RtfInfoElement to the list of RtfInfoElements
`private RtfHeaderFooterGroup` | `convertHeaderFooter(HeaderFooter hf, int type)` Converts a HeaderFooter into a RtfHeaderFooterGroup.
`void` | `freeListNumber(RtfList list)` Removes a RtfList from the list table
`int` | `getColorNumber(RtfColor color)` Gets the number of the specified RtfColor
`int` | `getFontNumber(RtfFont font)` Gets the number of the specified RtfFont
`int` | `getListNumber(RtfList list)` Gets the number of the specified RtfList
`RtfPageSetting` | `getPageSetting()` Gets the RtfPageSetting object of this RtfDocument
`RtfParagraphStyle` | `getRtfParagraphStyle(String styleName)` Gets the RtfParagraphStyle with the given style name.
`protected void` | `init()` Initialises the RtfDocumentHeader.
`void` | `registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)` Registers the RtfParagraphStyle for further use in the document.
`void` | `setFooter(HeaderFooter footer)` Sets the current footer to use
`void` | `setHeader(HeaderFooter header)` Sets the current header to use
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream result)` Writes the element content to the given output stream.
`byte[]` | `writeSectionDefinition()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeSectionDefinition(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeSectionDefinition(OutputStream result)` Writes the section definition data

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE_PAGE

    private static final byte[] TITLE_PAGE

  Constant for the title page

### FACING_PAGES

    private static final byte[] FACING_PAGES

  Constant for facing pages

### codePage

    private RtfCodePage codePage

  The code page to use

### colorList

    private RtfColorList colorList

  Stores all the colors used in the document

### fontList

    private RtfFontList fontList

  Stores all the fonts used in the document

### listTable

    private RtfListTable listTable

  Manages List tables

### stylesheetList

    private RtfStylesheetList stylesheetList

  Stores all paragraph styles used in the document.

### infoGroup

    private RtfInfoGroup infoGroup

  The information group with author/subject/keywords/title/producer/creationdate data

### pageSetting

    private RtfPageSetting pageSetting

  The page settings

### header

    private HeaderFooter header

  The current RtfHeaderFooterGroup for the header

### footer

    private HeaderFooter footer

  The current RtfHeaderFooterGroup for the footer

Constructor Detail

### RtfDocumentHeader

    protected RtfDocumentHeader(RtfDocument doc)

  Constructs a RtfDocumentHeader for a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfDocumentHeader belongs to

Method Detail

### init

    protected void init()

  Initialises the RtfDocumentHeader.

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Write the contents of the document header area.

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfElement`
  Returns:
    A byte array with the contents of the document header area

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the element content to the given output stream.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfElement`
  Throws:
    `IOException`

### writeSectionDefinition

    public byte[] writeSectionDefinition()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeSectionDefinition(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the section definition data

  Returns:
    A byte array with the section definition data

### writeSectionDefinition

    public void writeSectionDefinition(OutputStream result)

  Writes the section definition data

  Parameters:
    `result` -

### getFontNumber

    public int getFontNumber(RtfFont font)

  Gets the number of the specified RtfFont

  Parameters:
    `font` - The RtfFont for which to get the number
  Returns:
    The number of the font

### getColorNumber

    public int getColorNumber(RtfColor color)

  Gets the number of the specified RtfColor

  Parameters:
    `color` - The RtfColor for which to get the number
  Returns:
    The number of the color

### getListNumber

    public int getListNumber(RtfList list)

  Gets the number of the specified RtfList

  Parameters:
    `list` - The RtfList for which to get the number
  Returns:
    The number of the list

### getRtfParagraphStyle

    public RtfParagraphStyle getRtfParagraphStyle(String styleName)

  Gets the RtfParagraphStyle with the given style name.

  Parameters:
    `styleName` - The style name of the RtfParagraphStyle to get.
  Returns:
    The RtfParagraphStyle with the given style name or null.

### freeListNumber

    public void freeListNumber(RtfList list)

  Removes a RtfList from the list table

  Parameters:
    `list` - The RtfList to remove

### getPageSetting

    public RtfPageSetting getPageSetting()

  Gets the RtfPageSetting object of this RtfDocument

  Returns:
    The RtfPageSetting object

### addInfoElement

    public void addInfoElement(RtfInfoElement rtfInfoElement)

  Adds an RtfInfoElement to the list of RtfInfoElements

  Parameters:
    `rtfInfoElement` - The RtfInfoElement to add

### setHeader

    public void setHeader(HeaderFooter header)

  Sets the current header to use

  Parameters:
    `header` - The HeaderFooter to use as header

### setFooter

    public void setFooter(HeaderFooter footer)

  Sets the current footer to use

  Parameters:
    `footer` - The HeaderFooter to use as footer

### registerParagraphStyle

    public void registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)

  Registers the RtfParagraphStyle for further use in the document.

  Parameters:
    `rtfParagraphStyle` - The RtfParagraphStyle to register.

### convertHeaderFooter

    private RtfHeaderFooterGroup convertHeaderFooter(HeaderFooter hf,
                                                     int type)

  Converts a HeaderFooter into a RtfHeaderFooterGroup. Depending on which class the HeaderFooter is, the correct RtfHeaderFooterGroup is created.

  Parameters:
    `hf` - The HeaderFooter to convert.
    `type` - Whether the conversion is being done on a footer or header
  Returns:
    The converted RtfHeaderFooterGroup.
  See Also:
    `RtfHeaderFooter`, `RtfHeaderFooterGroup`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD